Subject: [PATCH v2 Resend 1/2] ARM: EXYNOS: Update secondary boot addr for secure mode

From: [email-masked] (Andreas Färber)
Date: Wed, 25 Jun 2014 13:54:02 +0200

Am 25.06.2014 13:43, schrieb Kukjin Kim:
> Sachin Kamat wrote:
>>
>> On Fri, May 30, 2014 at 11:49 PM, Andreas F?rber <[email-masked]> wrote:
>>> Am 28.05.2014 06:13, schrieb Sachin Kamat:
>>>> Almost all Exynos-series of SoCs that run in secure mode don't need
>>>> additional offset for every CPU, with Exynos4412 being the only
>>>> exception.
>>>>
>>>> Tested on Origen-Quad (Exynos4412) and Arndale-Octa (Exynos5420).
>>>>
>>>> While at it, fix the coding style (space around *).
>>>>
>>>> Signed-off-by: Sachin Kamat <[email-masked]>
>>>> Signed-off-by: Tushar Behera <[email-masked]>
>>>> ---
>>>>  arch/arm/mach-exynos/firmware.c |    9 +++++++--
>>>>  1 file changed, 7 insertions(+), 2 deletions(-)
>>>
>>> Fixes ODROID-XU (Exynos5410) as well - thought it had been a prereq to
>>> applying the 5410 patches...
>>>
>>> Tested-by: Andreas F?rber <[email-masked]>

FWIW meanwhile I also successfully tested it on 5420 based Arndale Octa.

I can also check on 5250 based Spring, now that it's working, if that
helps build confidence in the patch.

Cheers,
Andreas

>> Kukjin, this patch is required to bring up 4 A15 cores on some 5410
>> and 5420 based
>> boards. Can you please queue this up for the upcoming rc as fixes?
> 
> Sure, I will take this into fixes.
> 
> Thanks,
> Kukjin

-- 
SUSE LINUX Products GmbH, Maxfeldstr. 5, 90409 N?rnberg, Germany
GF: Jeff Hawn, Jennifer Guild, Felix Imend?rffer; HRB 16746 AG N?rnberg